org.apache.mina.service.idlechecker

## Interface IdleChecker

All Known Implementing Classes:
  IndexedIdleChecker

    public interface IdleChecker

Utility for checking detecting idle sessions.

Author:
  Apache MINA Project

### Method Summary

Methods
`void` `destroy()` Stop the idle checker.
`int` `processIdleSession(long time)` Find idle session, to be called for each select() call.
`void` `sessionRead(AbstractIoSession session, long time)` Inform the IdleCheker a session have a read event
`void` `sessionWritten(AbstractIoSession session, long time)` Inform the IdleCheker a session have a write event
`void` `start()` Start the idle checker inner threads

### Method Detail

#### sessionWritten

    void sessionWritten(AbstractIoSession session,
                      long time)

Inform the IdleCheker a session have a write event

Parameters:
  `session` - the session with the write event
  `time` - the data in ms (unix time) of the event

#### sessionRead

    void sessionRead(AbstractIoSession session,
                   long time)

Inform the IdleCheker a session have a read event

Parameters:
  `session` - the session with the read event
  `time` - the data in ms (unix time) of the event

#### processIdleSession

    int processIdleSession(long time)

Find idle session, to be called for each select() call.

Parameters:
  `time` - current unix time in ms
Returns:
  the number of idle event detected

#### start

    void start()

Start the idle checker inner threads

#### destroy

    void destroy()

Stop the idle checker.